package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense.towers;

import net.minestom.server.entity.EntityCreature;
import net.minestom.server.entity.EntityType;

public class EnderDragonTower extends ShootingTower{
    public EnderDragonTower() {
        super(EntityType.ENDER_DRAGON, 40, 7, 20);
    }

    @Override
    protected void attack(EntityCreature enemy) {
        this.shootProjectile(enemy, EntityType.DRAGON_FIREBALL, 2, 0);
    }

    @Override
    protected void onProjectileHit(EntityCreature enemy) {
        super.onProjectileHit(enemy);
    }
}
